ServerEvents.recipes(e=> {
    
    let l = 5;
    let pb = 'refinedstorage:processor_binding'
    let et = 'create:electron_tube'
    let c_b = 'immersiveengineering:circuit_board'
    let silicon = '#forge:silicon'
    //未处理基础处理器
    e.remove({ output: 'refinedstorage:raw_basic_processor' })
    let rbp = 'refinedstorage:raw_basic_processor'
    let qer = 'refinedstorage:quartz_enriched_iron'
    
    e.recipes.createSequencedAssembly([
    Item.of(l + 'x ' + rbp).withChance(87.0),
    Item.of(l + 'x ' + qer).withChance(4.0),
    ], qer, [
    e.recipes.createFilling(qer, [qer, Fluid.of("nwtc:rose_quartz", 50)]),
    e.recipes.createCutting(qer, qer).processingTime(50),
    e.recipes.createDeploying(qer, [qer, et]),
    e.recipes.createDeploying(qer, [qer, pb]),
    e.recipes.createDeploying(qer, [qer, silicon]),
    ]).transitionalItem(qer).loops(l)

    //未处理进阶处理器
    e.remove({ output: 'refinedstorage:raw_improved_processor' })
    let rip = 'refinedstorage:raw_improved_processor'
    let rai = '#forge:ingots/gold'
    
    e.recipes.createSequencedAssembly([
    Item.of(l + 'x ' + rip).withChance(87.0),
    Item.of(l + 'x ' + rai).withChance(4.0),
    ], rai, [
    e.recipes.createFilling(rai, [rai, Fluid.of("nwtc:rose_quartz", 150)]),
    e.recipes.createCutting(rai, rai).processingTime(50),
    e.recipes.createDeploying(rai, [rai, c_b]),
    e.recipes.createDeploying(rai, [rai, pb]),
    e.recipes.createDeploying(rai, [rai, silicon]),
    ]).transitionalItem(rai).loops(l)

    //未处理高级处理器
    e.remove({ output: 'refinedstorage:raw_advanced_processor' })
    let rap = 'refinedstorage:raw_advanced_processor'
    let od = 'create_new_age:overcharged_diamond'
    
    e.recipes.createSequencedAssembly([
    Item.of(l + 'x ' + rap).withChance(87.0),
    Item.of(l + 'x ' + od).withChance(4.0),
    ], od, [
    e.recipes.createFilling(od, [od, Fluid.of("nwtc:rose_quartz", 150)]),
    e.recipes.createCutting(od, od).processingTime(50),
    e.recipes.createDeploying(od, [od, c_b]),
    e.recipes.createDeploying(od, [od, pb]),
    e.recipes.createDeploying(od, [od, silicon]),
    ]).transitionalItem(od).loops(l)

    //未处理超高级处理器
    e.remove({ output: 'rebornstorage:raw_super_advanced_processor' })
    let rsap = 'rebornstorage:raw_super_advanced_processor'
    let dns = 'forbidden_arcanus:dark_nether_star'
    
    e.recipes.createSequencedAssembly([
    Item.of(1 + 'x ' + rsap).withChance(87.0),
    Item.of(1 + 'x ' + dns).withChance(4.0),
    ], dns, [
    e.recipes.createFilling(dns, [dns, Fluid.of("nwtc:rose_quartz", 150)]),
    e.recipes.createCutting(dns, dns).processingTime(50),
    e.recipes.createDeploying(dns, [dns, 'immersiveengineering:component_electronic_adv']),
    e.recipes.createDeploying(dns, [dns, pb]),
    e.recipes.createDeploying(dns, [dns, silicon]),
    ]).transitionalItem(dns).loops(l)
   
    //未处理神经处理器
    e.remove({ output: 'extrastorage:raw_neural_processor' })
    let rnp = 'extrastorage:raw_neural_processor'
    let bei = 'botania:elementium_ingot'
    
    e.recipes.createSequencedAssembly([
    Item.of(1 + 'x ' + rnp).withChance(87.0),
    Item.of(1 + 'x ' + bei).withChance(4.0),
    ], bei, [
    e.recipes.createFilling(bei, [bei, Fluid.of("nwtc:rose_quartz", 150)]),
    e.recipes.createCutting(bei, bei).processingTime(50),
    e.recipes.createDeploying(bei, [bei, 'immersiveengineering:component_electronic_adv']),
    e.recipes.createDeploying(bei, [bei, pb]),
    e.recipes.createDeploying(bei, [bei, silicon]),
    ]).transitionalItem(bei).loops(6)







})
